> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search transactions

> Search a list of transactions you've previously created. The transactions are ordered by the date of creation.



## OpenAPI

````yaml /openapi/crypto-20260203.json get /payments/transactions
openapi: 3.1.0
info:
  title: CRYPTO
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Retail Ramp
    description: ''
  - name: Headless
    description: ''
  - name: Payment
    description: ''
  - name: Session
    description: ''
paths:
  /payments/transactions:
    get:
      tags:
        - Retail Ramp
      summary: Search transactions
      description: >-
        Search a list of transactions you've previously created. The
        transactions are ordered by the date of creation.
      operationId: /payments-transactions-search
      parameters:
        - name: statuses
          in: query
          description: >-
            Comma separated list of transaction status.


            If present, only transactions with the specified status will be
            included.


            *Possible values*:


            PENDING_CREATED


            PENDING


            PROCESSING


            AUTHORIZED


            AUTHORIZATION_EXPIRED


            SETTLING


            ONRAMP_SETTLED


            SETTLED


            REFUNDED


            DECLINED


            CANCELLED


            FAILED


            ERROR


            VOIDED


            TWO_FA_REQUIRED


            TWO_FA_PROVIDED
          required: false
          schema:
            type: string
            default: ''
        - name: serviceProviders
          in: query
          description: >-
            Comma separated list of service providers.


            Return only transactions with these specific providers. You can
            specify multiple service providers in the query string and separate
            them with commas


            Reference [Crypto supported service
            providers](https://docs.meld.io/docs/crypto-supported-service-providers-assets)
            and [Fiat supported service
            providers](https://docs.meld.io/docs/fiat-supported-service-providers)
            for a full list of supported service providers
          required: false
          schema:
            type: string
            default: ''
        - name: limit
          in: query
          description: |-
            Limits number of returned accounts.

            *Default value*: 10 or the number of ids provided

            *Minimum value*: 1

            *Maximum value*: 100
          required: false
          schema:
            type: string
            default: ''
        - name: amountFrom
          in: query
          description: >-
            Return only transactions with the amount equal to or greater than
            this amount
          required: false
          schema:
            type: string
            default: ''
        - name: amountTo
          in: query
          description: >-
            Return only transactions with the amount equal to or less than this
            amount
          required: false
          schema:
            type: string
            default: ''
        - name: from
          in: query
          description: >-
            Return only transactions created after this DateTime. The correct
            string will use the ISO DateTime or ISO Date Format.


            Ex:2021-08-31T01:30:00 or 2022-02-25 are accepted
          required: false
          schema:
            type: string
            default: ''
        - name: to
          in: query
          description: >-
            Return only transactions created before this DateTime. The correct
            string will use the ISO DateTime or ISO Date Format.


            Ex:2021-08-31T01:30:00 or 2022-02-25 are accepted
          required: false
          schema:
            type: string
            default: ''
        - name: before
          in: query
          description: >-
            The unique key corresponding to a payment transaction's position in
            the paginated list of results -- used to indicate that only payment
            transactions residing before this key will be retrieved.


            Each payment transaction carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)The before and
            after fields cannot be used in the same request.
          required: false
          schema:
            type: string
            default: ''
        - name: after
          in: query
          description: >-
            The unique key corresponding to a payment transaction's position in
            the paginated list of results -- used to indicate that only payment
            transactions residing after this key will be retrieved.


            Each payment transaction carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)The before and
            after fields cannot be used in the same request.
          required: false
          schema:
            type: string
            default: ''
        - name: apiAccessProfileIds
          in: query
          description: Comma separated list of API access profile ids
          required: false
          schema:
            type: string
            default: ''
        - name: customerIds
          in: query
          description: >-
            Meld generated unique identifier for your customer. This should be
            used to track customer activity. This takes a comma separated list
            of customer ids.
          required: false
          schema:
            type: string
            default: ''
        - name: externalCustomerIds
          in: query
          description: >-
            Your unique identifier for your customer. If maintaining your own
            customer management system this can also be used for tracking
            customer activity. This takes a comma separated list of external
            customer ids.
          required: false
          schema:
            type: string
            default: ''
        - name: sessionIds
          in: query
          description: Comma separated list of session ids
          required: false
          schema:
            type: string
            default: ''
        - name: externalSessionIds
          in: query
          description: Comma separated list of external session ids
          required: false
          schema:
            type: string
            default: ''
        - name: externalReferenceIds
          in: query
          description: Comma separated list of reference ids
          required: false
          schema:
            type: string
            default: ''
        - name: types
          in: query
          description: Comma separated list of transaction types
          required: false
          schema:
            type: string
            default: ''
        - name: orderIds
          in: query
          description: Comma separated list of order ids (for virtual account ramp)
          required: false
          schema:
            type: string
            default: ''
        - name: serviceProviderTransactionId
          in: query
          description: service provider transaction id
          required: false
          schema:
            type: string
            default: ''
        - name: subaccountCustomerIds
          in: query
          description: Comma-separated list of sub-account customer ids.
          required: false
          schema:
            type: string
            default: ''
        - name: externalSubaccountCustomerIds
          in: query
          description: Comma-separated list of external sub-account customer ids.
          required: false
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Payment transaction found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PaymentTransactionListResponse20250304'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PaymentTransactionListResponse20250304:
      type: object
      properties:
        count:
          type: integer
          format: int32
          description: Number of payment transactions returned.
        remaining:
          type: integer
          format: int32
          description: >-
            Number of payment transactions before/after this page, depending the
            direction this page was selected.
        totalCount:
          type: integer
          format: int32
          description: Total number of payment transactions.
        transactions:
          type: array
          description: List of transactions
          items:
            $ref: '#/components/schemas/SearchedPaymentTransactionOutput20250304'
    SearchedPaymentTransactionOutput20250304:
      type: object
      properties:
        accountId:
          type: string
          description: Your account Id
        apiAccessProfileId:
          type: string
          description: >-
            The id of the API access profile used to create this transaction.
            May be null if the transaction was not created via an endpoint that
            uses an API key for authentication. For example, when imported as a
            result of a webhook from a service provider.
        countryCode:
          type: string
          description: The ISO 3166 2-digit country code.
        createdAt:
          type: string
          format: date-time
          description: An ISO 8601 DateTime at which the object was created.
        cryptoDetails:
          description: Details of the crypto currency purchase, sale, or transfer
          allOf:
            - $ref: '#/components/schemas/CryptoDetails20250304'
        customer:
          description: Your customer's details
          allOf:
            - $ref: '#/components/schemas/CustomerOutput'
        description:
          type: string
          description: >-
            An arbitrary string which you can attach to this transaction. It is
            displayed when in the web interface alongside the charge.
        destinationAmount:
          type: number
          description: >-
            The destination amount of the transaction, e.g. the amount of crypto
            currency purchased
        destinationCurrencyCode:
          type: string
          description: Three-letter ISO currency code. Must be a supported currency
        externalCustomerId:
          type: string
          description: >-
            Your unique identifier for your customer. If maintaining your own
            customer management system this can also be used for tracking
            customer activity.
        externalReferenceId:
          type: string
          description: Your optional reference id provided during transaction creation
        externalSessionId:
          type: string
          description: The external Id of the session.
        externalSubaccountCustomerId:
          type: string
          description: >-
            Optional external identifier for the sub-account customer this
            transaction belongs to. Used for tracking when multiple businesses
            operate under one Meld account. A sub-account customer must be
            created first before it can be referenced.
        fiatAmountInUsd:
          type: number
          description: The fiat amount of the transaction in usd
        id:
          type: string
          description: Unique identifier for this transaction
        isImported:
          type: boolean
          description: Return ***True*** if this transaction was initiated outside Meld
        isPassthrough:
          type: boolean
          description: Return ***True*** if the passthrough credentials were used
        key:
          type: string
          description: >-
            Pagination key, may be used with the "after" parameter in search
            requests.  Only set and relevant for paginated calls
        multiFactorAuthorizationStatus:
          type: array
          description: >-
            The transaction required multi-factor authentication methods, and
            their current status. When required, must be approved for the
            purchase tobe completed successfully.
          items:
            $ref: '#/components/schemas/MultiFactorAuthorizationStatusOutput'
          uniqueItems: true
        orderId:
          type: string
          description: >-
            Unique identifier for the order associated with this transaction,
            when applicable
        parentPaymentTransactionId:
          type: string
          description: The Id of the associated object for this line item
        passthroughReference:
          type: string
          description: >-
            The unique reference you use to identify the partner on whose behalf
            you created this transaction.  This might be a String or UUID in
            your system to identify a merchant or partner.  This is needed so
            that you can associate passthrough transactions to your partners who
            may not be registered with Meld
        paymentDetails:
          description: payment details
          allOf:
            - $ref: '#/components/schemas/PaymentDetails'
        paymentMethodType:
          type: string
          description: Payment Method type used for this transaction.
        serviceProvider:
          type: string
          description: The service provider used for this transaction
        serviceProviderCreatedAt:
          type: string
          format: date-time
          description: >-
            The ISO 8601 DateTime when the transaction was created on the
            service provider's side
        serviceProviderDetails:
          type: object
          additionalProperties: {}
          description: The service provider's details
        serviceProviderTransactionUrl:
          type: string
          description: A link to the resource on the Service Provider, may not be present
        serviceTransactionId:
          type: string
          description: The service provider's unique identifier for this transaction
        sessionClientTags:
          type: object
          additionalProperties:
            type: string
          description: A map of client tags
        sessionId:
          type: string
          description: The Id of the session.
        sourceAmount:
          type: number
          description: The amount of the transaction
        sourceCurrencyCode:
          type: string
          description: Three-letter ISO currency code. Must be a supported currency
        status:
          type: string
          description: The current status of the transaction
        subaccountCustomerId:
          type: string
          description: >-
            Optional Meld customer id used to track the business sub-account
            this transaction belongs to when multiple businesses operate under
            one Meld account.
        transactionType:
          type: string
          description: The transaction's type
        updatedAt:
          type: string
          format: date-time
          description: >-
            Time at which the object was last updated. Measured in seconds since
            the Unix epoch.
      required:
        - createdAt
        - id
        - serviceProvider
        - sessionId
        - status
        - transactionType
        - updatedAt
    CryptoDetails20250304:
      type: object
      properties:
        blockchainTransactionId:
          type: string
          description: The transaction id on the blockchain
        chainId:
          type: string
          description: >-
            A unique identifier that represents a blockchain network. The
            chainId of a particular network is standard everywhere.
        destinationWalletAddress:
          type: string
          description: >-
            The wallet address that the crypto is sent to. This is usually the
            user's wallet address for buy and transfer transactions, and the
            onramp's wallet address for sell transactions.
        institution:
          type: string
          description: >-
            The institution used to execute the transaction. Only applicable for
            transfers currently.
        networkFee:
          type: number
          description: >-
            This fee is paid to cryptocurrency miners, which are the systems
            that process the transactions
        networkFeeInUsd:
          type: number
          description: This network fee in USD
        partnerFee:
          type: number
          description: The partner fee amount
        partnerFeeInUsd:
          type: number
          description: The partner fee in USD
        sessionWalletAddress:
          type: string
          description: >-
            The wallet address passed into the /widget endpoint, typically of
            the user. This will often be the same as either the
            sourceWalletAddress or the destinationWalletAddress.
        sourceWalletAddress:
          type: string
          description: >-
            The wallet address that the crypto comes from. This is usually the
            onramp's wallet address for buy transactions, and the user's wallet
            address for transfer and sell transactions.
        swapFee:
          type: number
          description: >-
            The swap fee amount charged by the swap provider for ramp+swap
            transactions
        swapFeeInUsd:
          type: number
          description: The swap fee in USD
        totalFee:
          type: number
          description: The total amount of fees that will be charged
        totalFeeInUsd:
          type: number
          description: The total fee in USD
        transactionFee:
          type: number
          description: >-
            The fee amount charged by the service provider to process your
            customer's purchase
        transactionFeeInUsd:
          type: number
          description: The transaction fee in USD
    CustomerOutput:
      type: object
      properties:
        accountId:
          type: string
          description: Your Account Id
        addresses:
          type: array
          description: Your Customer's addresses, such as billing, shipping, etc.
          items:
            $ref: '#/components/schemas/CustomerAddressOutput'
        email:
          type: string
          description: Your Customer's email address
        externalId:
          type: string
          description: >-
            Your optionally supplied Id for your Customer, e.g. a Customer Id in
            your system
        id:
          type: string
          description: Meld's internal Id for the Customer
        name:
          description: Your Customer's name
          allOf:
            - $ref: '#/components/schemas/CustomerName'
        phone:
          type: string
          description: Your Customer's phone number
        serviceProviders:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of Service Providers and service provider IDs for this
            Customer
        status:
          type: string
          description: ACTIVE or INACTIVE, may not be set
    MultiFactorAuthorizationStatusOutput:
      type: object
      properties:
        method:
          type: string
          description: How the card details were authorized
          enum:
            - SMS
            - CARD
            - EMAIL
            - THREE_DS
        submitted:
          type: boolean
          default: false
          description: Return ***True*** if the information was submitted
        successful:
          type: boolean
          default: false
          description: Return ***True*** if the submitted information is a match
        url:
          type: string
          description: URL used to perform authorization (if applicable)
    PaymentDetails:
      type: object
      properties:
        authAmount:
          type: number
          description: >-
            The amount authorized to be charged (must be greater than the amount
            intended to be collected.) Note that the number of digits with a
            decimal point varies with the currency. Reference the list of active
            codes of official ISO 4217 currency names.
        captureAmount:
          type: number
          description: >-
            The amount captured (can be less than the amount intended to be
            collected.) Note that the number of digits with a decimal point
            varies with the currency. Reference the list of active codes of
            official ISO 4217 currency names.
    CustomerAddressOutput:
      type: object
      properties:
        addressDetails:
          description: Address details
          allOf:
            - $ref: '#/components/schemas/CustomerAddressDetails'
        type:
          type: string
          description: Address type such as BILLING, SHIPPING, RESIDENCE, etc.
          enum:
            - BILLING
            - SHIPPING
            - RESIDENCE
    CustomerName:
      type: object
      properties:
        firstName:
          type: string
          description: Your customer's first name
        lastName:
          type: string
          description: Your customer's last name
    CustomerAddressDetails: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````